## dino 0.2.0~git51.20210501.e92ed273

=== libdino/CMakeLists.txt ===
find_packages(LIBDINO_PACKAGES REQUIRED
    GDKPixbuf2
    Gee
    GLib
    GModule
    GObject
)

vala_precompile(LIBDINO_VALA_C
SOURCES
    src/application.vala

    src/dbus/login1.vala
    src/dbus/notifications.vala
    src/dbus/upower.vala

    src/entity/account.vala
    src/entity/conversation.vala
    src/entity/encryption.vala
    src/entity/file_transfer.vala
    src/entity/message.vala
    src/entity/settings.vala

    src/plugin/interfaces.vala
    src/plugin/loader.vala
    src/plugin/registry.vala

    src/service/avatar_manager.vala
    src/service/blocking_manager.vala
    src/service/chat_interaction.vala
    src/service/connection_manager.vala
    src/service/content_item_store.vala
    src/service/conversation_manager.vala
    src/service/counterpart_interaction_manager.vala
    src/service/database.vala
    src/service/entity_capabilities_storage.vala
    src/service/entity_info.vala
    src/service/file_manager.vala
    src/service/file_transfer_storage.vala
    src/service/jingle_file_transfers.vala
    src/service/message_correction.vala
    src/service/message_processor.vala
    src/service/message_storage.vala
    src/service/module_manager.vala
    src/service/muc_manager.vala
    src/service/notification_events.vala
    src/service/presence_manager.vala
    src/service/registration.vala
    src/service/roster_manager.vala
    src/service/search_processor.vala
    src/service/stream_interactor.vala
    src/service/util.vala

    src/util/display_name.vala
    src/util/util.vala
    src/util/weak_map.vala
CUSTOM_VAPIS
    "${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi"
    "${CMAKE_BINARY_DIR}/exports/qlite.vapi"
CUSTOM_DEPS
    xmpp-vala
    qlite
PACKAGES
    ${LIBDINO_PACKAGES}
GENERATE_VAPI
    dino
GENERATE_HEADER
    dino
)

add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/exports/dino_i18n.h"
COMMAND
    cp "${CMAKE_CURRENT_SOURCE_DIR}/src/dino_i18n.h" "${CMAKE_BINARY_DIR}/exports/dino_i18n.h"
DEPENDS
    "${CMAKE_CURRENT_SOURCE_DIR}/src/dino_i18n.h"
COMMENT
    Copy header file dino_i18n.h
)

add_custom_target(dino-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.deps
    ${CMAKE_BINARY_DIR}/exports/dino_i18n.h
)

add_definitions(${VALA_CFLAGS} -DDINO_SYSTEM_PLUGIN_DIR="${PLUGIN_INSTALL_DIR}" -DDINO_SYSTEM_LIBDIR_NAME="${LIBDIR_NAME}" -DG_LOG_DOMAIN="libdino")
add_library(libdino SHARED ${LIBDINO_VALA_C} ${CMAKE_BINARY_DIR}/exports/dino_i18n.h)
add_dependencies(libdino dino-vapi)
target_link_libraries(libdino xmpp-vala qlite ${LIBDINO_PACKAGES} m)
set_target_properties(libdino PROPERTIES PREFIX "" VERSION 0.0 SOVERSION 0)

install(TARGETS libdino ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/dino.vapi ${CMAKE_BINARY_DIR}/exports/dino.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/dino.h ${CMAKE_BINARY_DIR}/exports/dino_i18n.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(BUILD_TESTS)
    vala_precompile(LIBDINO_TEST_VALA_C
    SOURCES
        "tests/weak_map.vala"
        "tests/testcase.vala"
        "tests/common.vala"
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/exports/dino_internal.vapi
        ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
        ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    PACKAGES
        ${LIBDINO_PACKAGES}
    OPTIONS
        ${LIBDINO_EXTRA_OPTIONS}
    )

    add_definitions(${VALA_CFLAGS})
    add_executable(libdino-test ${LIBDINO_TEST_VALA_C})
    target_link_libraries(libdino-test libdino)
endif(BUILD_TESTS)

=== main/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)

find_packages(MAIN_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK3
    ICU
    Gspell
)

set(RESOURCE_LIST
    icons/dino-changes-allowed-symbolic.svg
    icons/dino-changes-prevent-symbolic.svg
    icons/dino-conversation-list-placeholder-arrow.svg
    icons/dino-double-tick-symbolic.svg
    icons/dino-emoticon-symbolic.svg
    icons/dino-qr-code-symbolic.svg
    icons/dino-security-high-symbolic.svg
    icons/dino-party-popper-symbolic.svg
    icons/dino-status-away.svg
    icons/dino-status-chat.svg
    icons/dino-status-dnd.svg
    icons/dino-status-online.svg
    icons/im.dino.Dino.svg
    icons/im.dino.Dino-symbolic.svg
    icons/dino-tick-symbolic.svg

    icons/dino-device-desktop-symbolic.svg
    icons/dino-device-phone-symbolic.svg

    icons/dino-file-document-symbolic.svg
    icons/dino-file-download-symbolic.svg
    icons/dino-file-image-symbolic.svg
    icons/dino-file-music-symbolic.svg
    icons/dino-file-symbolic.svg
    icons/dino-file-table-symbolic.svg
    icons/dino-file-video-symbolic.svg

    add_conversation/add_contact_dialog.ui
    add_conversation/add_groupchat_dialog.ui
    add_conversation/conference_details_fragment.ui
    add_conversation/list_row.ui
    add_conversation/select_jid_fragment.ui
    chat_input.ui
    contact_details_dialog.ui
    conversation_list_titlebar.ui
    conversation_list_titlebar_csd.ui
    conversation_row.ui
    conversation_view.ui
    file_default_widget.ui
    file_send_overlay.ui
    emojichooser.ui
    global_search.ui
    conversation_content_view/item_metadata_header.ui
    conversation_content_view/view.ui
    manage_accounts/account_row.ui
    manage_accounts/add_account_dialog.ui
    manage_accounts/dialog.ui
    menu_add.ui
    menu_app.ui
    menu_conversation.ui
    menu_encryption.ui
    message_item_widget_edit_mode.ui
    occupant_list.ui
    occupant_list_item.ui
    search_autocomplete.ui
    settings_dialog.ui
    shortcuts.ui
    unified_main_content.ui
    unified_window_placeholder.ui

    theme.css
)

compile_gresources(
    MAIN_GRESOURCES_TARGET
    MAIN_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

unset(MAIN_EXTRA_OPTIONS)
unset(MAIN_EXTRA_PACKAGES)
find_package(GDK3)
if(GDK3_WITH_X11)
    set(MAIN_EXTRA_OPTIONS ${MAIN_EXTRA_OPTIONS} -D GDK3_WITH_X11)
    set(MAIN_EXTRA_PACKAGES ${MAIN_EXTRA_PACKAGES} gdk-x11-3.0)
endif(GDK3_WITH_X11)
set(MAIN_EXTRA_OPTIONS ${MAIN_EXTRA_OPTIONS} --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi)

vala_precompile(MAIN_VALA_C
SOURCES
    src/main.vala

    src/ui/application.vala
    src/ui/avatar_drawer.vala
    src/ui/avatar_image.vala
    src/ui/conversation_list_titlebar.vala
    src/ui/conversation_view.vala
    src/ui/conversation_view_controller.vala
    src/ui/file_send_overlay.vala
    src/ui/global_search.vala
    src/ui/notifier_freedesktop.vala
    src/ui/notifier_gnotifications.vala
    src/ui/settings_dialog.vala
    src/ui/main_window.vala
    src/ui/main_window_controller.vala

    src/ui/add_conversation/add_conference_dialog.vala
    src/ui/add_conversation/add_contact_dialog.vala
    src/ui/add_conversation/add_groupchat_dialog.vala
    src/ui/add_conversation/conference_details_fragment.vala
    src/ui/add_conversation/conference_list.vala
    src/ui/add_conversation/list_row.vala
    src/ui/add_conversation/roster_list.vala
    src/ui/add_conversation/select_contact_dialog.vala
    src/ui/add_conversation/select_jid_fragment.vala

    src/ui/chat_input/chat_input_controller.vala
    src/ui/chat_input/chat_text_view.vala
    src/ui/chat_input/edit_history.vala
    src/ui/chat_input/encryption_button.vala
    src/ui/chat_input/occupants_tab_completer.vala
    src/ui/chat_input/smiley_converter.vala
    src/ui/chat_input/spell_checker.vala
    src/ui/chat_input/view.vala

    src/ui/contact_details/blocking_provider.vala
    src/ui/contact_details/settings_provider.vala
    src/ui/contact_details/permissions_provider.vala
    src/ui/contact_details/dialog.vala
    src/ui/contact_details/muc_config_form_provider.vala

    src/ui/conversation_selector/conversation_selector_row.vala
    src/ui/conversation_selector/conversation_selector.vala

    src/ui/conversation_content_view/chat_state_populator.vala
    src/ui/conversation_content_view/content_populator.vala
    src/ui/conversation_content_view/conversation_item_skeleton.vala
    src/ui/conversation_content_view/conversation_view.vala
    src/ui/conversation_content_view/date_separator_populator.vala
    src/ui/conversation_content_view/file_default_widget.vala
    src/ui/conversation_content_view/file_image_widget.vala
    src/ui/conversation_content_view/file_widget.vala
    src/ui/conversation_content_view/message_widget.vala
    src/ui/conversation_content_view/subscription_notification.vala

    src/ui/conversation_titlebar/menu_entry.vala
    src/ui/conversation_titlebar/occupants_entry.vala
    src/ui/conversation_titlebar/search_entry.vala
    src/ui/conversation_titlebar/conversation_titlebar.vala

    src/ui/manage_accounts/account_row.vala
    src/ui/manage_accounts/add_account_dialog.vala
    src/ui/manage_accounts/dialog.vala

    src/ui/occupant_menu/list.vala
    src/ui/occupant_menu/list_row.vala
    src/ui/occupant_menu/view.vala

    src/ui/util/accounts_combo_box.vala
    src/ui/util/config.vala
    src/ui/util/data_forms.vala
    src/ui/util/helper.vala
    src/ui/util/label_hybrid.vala
    src/ui/util/sizing_bin.vala
    src/ui/util/size_request_box.vala
    src/ui/util/scaling_image.vala
    src/ui/util/preview_file_chooser_native.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino_internal.vapi
    vapi/emojichooser.vapi
PACKAGES
    ${MAIN_PACKAGES}
    ${MAIN_EXTRA_PACKAGES}
GRESOURCES
    ${MAIN_GRESOURCES_XML}
OPTIONS
    ${MAIN_EXTRA_OPTIONS}
)

add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\" -DDINO_VERSION=\"${PROJECT_VERSION}\")
add_executable(dino ${MAIN_VALA_C} ${MAIN_GRESOURCES_TARGET} src/emojichooser.c)
add_dependencies(dino ${GETTEXT_PACKAGE}-translations)
target_include_directories(dino PRIVATE src)
target_link_libraries(dino libdino ${MAIN_PACKAGES})

if(WIN32)
    target_link_libraries(dino -mwindows)
endif(WIN32)

install(TARGETS dino ${TARGET_INSTALL})
install(FILES data/im.dino.Dino.appdata.xml DESTINATION ${APPDATA_FILE_INSTALL_DIR})
install(FILES data/im.dino.Dino.desktop DESTINATION ${DESKTOP_FILE_INSTALL_DIR})
install(FILES data/im.dino.Dino.service DESTINATION ${SERVICE_FILE_INSTALL_DIR})
install(FILES data/icons/im.dino.Dino.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/scalable/apps)
install(FILES data/icons/im.dino.Dino-symbolic.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/symbolic/apps)
install(FILES
    data/icons/dino-status-away.svg
    data/icons/dino-status-chat.svg
    data/icons/dino-status-dnd.svg
    data/icons/dino-status-online.svg

    data/icons/dino-changes-prevent-symbolic.svg
    data/icons/dino-double-tick-symbolic.svg
    data/icons/dino-qr-code-symbolic.svg
    data/icons/dino-tick-symbolic.svg
DESTINATION
    ${ICON_INSTALL_DIR}/hicolor/scalable/status
)

=== xmpp-vala/CMakeLists.txt ===
find_packages(ENGINE_PACKAGES REQUIRED
    GDKPixbuf2
    Gee
    GIO
    GLib
    GObject
    ICU
)

set(ENGINE_DEFINITIONS "")

find_package(GIO)
if(GIO_VERSION VERSION_GREATER "2.60")
    message(STATUS "ALPN support enabled")
    set(ENGINE_DEFINITIONS ALPN_SUPPORT)
else()
    message(STATUS "No ALPN support, needs GIO >= 2.60")
endif()
set(ENGINE_EXTRA_OPTIONS ${MAIN_EXTRA_OPTIONS} --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi)

vala_precompile(ENGINE_VALA_C
SOURCES
    "src/core/direct_tls_xmpp_stream.vala"
    "src/core/io_xmpp_stream.vala"
    "src/core/module_flag.vala"
    "src/core/starttls_xmpp_stream.vala"
    "src/core/stream_connect.vala"
    "src/core/tls_xmpp_stream.vala"
    "src/core/xmpp_stream.vala"

    "src/core/namespace_state.vala"
    "src/core/stanza_attribute.vala"
    "src/core/stanza_node.vala"
    "src/core/stanza_reader.vala"
    "src/core/stanza_writer.vala"
    "src/core/xmpp_log.vala"

    "src/module/bind.vala"
    "src/module/bookmarks_provider.vala"
    "src/module/conference.vala"
    "src/module/iq/module.vala"
    "src/module/iq/stanza.vala"
    "src/module/jid.vala"
    "src/module/message/module.vala"
    "src/module/message/stanza.vala"
    "src/module/presence/flag.vala"
    "src/module/presence/module.vala"
    "src/module/presence/stanza.vala"
    "src/module/roster/flag.vala"
    "src/module/roster/item.vala"
    "src/module/roster/module.vala"
    "src/module/roster/versioning_module.vala"
    "src/module/sasl.vala"
    "src/module/session.vala"
    "src/module/stanza.vala"
    "src/module/stanza_error.vala"
    "src/module/stream_error.vala"
    "src/module/util.vala"

    "src/module/xep/0048_bookmarks.vala"
    "src/module/xep/0048_conference.vala"
    "src/module/xep/0402_bookmarks2.vala"
    "src/module/xep/0004_data_forms.vala"
    "src/module/xep/0030_service_discovery/flag.vala"
    "src/module/xep/0030_service_discovery/identity.vala"
    "src/module/xep/0030_service_discovery/info_result.vala"
    "src/module/xep/0030_service_discovery/item.vala"
    "src/module/xep/0030_service_discovery/items_result.vala"
    "src/module/xep/0030_service_discovery/module.vala"
    "src/module/xep/0045_muc/flag.vala"
    "src/module/xep/0045_muc/module.vala"
    "src/module/xep/0045_muc/status_code.vala"
    "src/module/xep/0047_in_band_bytestreams.vala"
    "src/module/xep/0049_private_xml_storage.vala"
    "src/module/xep/0054_vcard/module.vala"
    "src/module/xep/0060_pubsub.vala"
    "src/module/xep/0065_socks5_bytestreams.vala"
    "src/module/xep/0066_out_of_band_data.vala"
    "src/module/xep/0077_in_band_registration.vala"
    "src/module/xep/0082_date_time_profiles.vala"
    "src/module/xep/0084_user_avatars.vala"
    "src/module/xep/0085_chat_state_notifications.vala"
    "src/module/xep/0115_entity_capabilities.vala"
    "src/module/xep/0166_jingle.vala"
    "src/module/xep/0184_message_delivery_receipts.vala"
    "src/module/xep/0191_blocking_command.vala"
    "src/module/xep/0198_stream_management.vala"
    "src/module/xep/0199_ping.vala"
    "src/module/xep/0203_delayed_delivery.vala"
    "src/module/xep/0234_jingle_file_transfer.vala"
    "src/module/xep/0249_direct_muc_invitations.vala"
    "src/module/xep/0260_jingle_socks5_bytestreams.vala"
    "src/module/xep/0261_jingle_in_band_bytestreams.vala"
    "src/module/xep/0280_message_carbons.vala"
    "src/module/xep/0308_last_message_correction.vala"
    "src/module/xep/0313_message_archive_management.vala"
    "src/module/xep/0333_chat_markers.vala"
    "src/module/xep/0334_message_processing_hints.vala"
    "src/module/xep/0359_unique_stable_stanza_ids.vala"
    "src/module/xep/0363_http_file_upload.vala"
    "src/module/xep/0380_explicit_encryption.vala"
    "src/module/xep/0391_jingle_encrypted_transports.vala"
    "src/module/xep/0410_muc_self_ping.vala"
    "src/module/xep/pixbuf_storage.vala"

    "src/util.vala"
PACKAGES
    ${ENGINE_PACKAGES}
GENERATE_VAPI
    xmpp-vala
GENERATE_HEADER
    xmpp-vala
CUSTOM_VAPIS
    "${CMAKE_CURRENT_SOURCE_DIR}/src/glib_fixes.vapi"
DEFINITIONS
    ${ENGINE_DEFINITIONS}
OPTIONS
    ${ENGINE_EXTRA_OPTIONS}
)

add_custom_target(xmpp-vala-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.deps
)

add_definitions(${VALA_CFLAGS} -DG_LOG_DOMAIN="xmpp-vala")
add_library(xmpp-vala SHARED ${ENGINE_VALA_C})
add_dependencies(xmpp-vala xmpp-vala-vapi)
target_link_libraries(xmpp-vala ${ENGINE_PACKAGES})
set_target_properties(xmpp-vala PROPERTIES VERSION 0.1 SOVERSION 0)

install(TARGETS xmpp-vala ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi ${CMAKE_BINARY_DIR}/exports/xmpp-vala.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/xmpp-vala.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(BUILD_TESTS)
    vala_precompile(ENGINE_TEST_VALA_C
    SOURCES
        "tests/common.vala"
        "tests/testcase.vala"

        "tests/jid.vala"
        "tests/stanza.vala"
        "tests/util.vala"
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/exports/xmpp-vala_internal.vapi
    PACKAGES
        ${ENGINE_PACKAGES}
    OPTIONS
        ${ENGINE_EXTRA_OPTIONS}
    )

    add_definitions(${VALA_CFLAGS})
    add_executable(xmpp-vala-test ${ENGINE_TEST_VALA_C})
    target_link_libraries(xmpp-vala-test xmpp-vala ${SIGNAL_PROTOCOL_PACKAGES})
endif(BUILD_TESTS)

=== plugins/crypto-vala/CMakeLists.txt ===
find_package(GCrypt REQUIRED)
find_packages(CRYPTO_VALA_PACKAGES REQUIRED
    GLib
    GObject
    GIO
)

vala_precompile(CRYPTO_VALA_C
SOURCES
    "src/cipher.vala"
    "src/cipher_converter.vala"
    "src/error.vala"
CUSTOM_VAPIS
    "${CMAKE_CURRENT_SOURCE_DIR}/vapi/gcrypt.vapi"
PACKAGES
    ${CRYPTO_VALA_PACKAGES}
GENERATE_VAPI
    crypto-vala
GENERATE_HEADER
    crypto-vala
)

set(CFLAGS ${VALA_CFLAGS} -I${CMAKE_CURRENT_SOURCE_DIR}/src)
add_definitions(${CFLAGS})
add_library(crypto-vala STATIC ${CRYPTO_VALA_C})
target_link_libraries(crypto-vala ${CRYPTO_VALA_PACKAGES} gcrypt)
set_property(TARGET crypto-vala PROPERTY POSITION_INDEPENDENT_CODE ON)

=== plugins/omemo/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino-omemo")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)

find_packages(OMEMO_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK3
    Qrencode
)

set(RESOURCE_LIST
    contact_details_dialog.ui
    manage_key_dialog.ui
)

compile_gresources(
    OMEMO_GRESOURCES_TARGET
    OMEMO_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino/omemo
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

vala_precompile(OMEMO_VALA_C
SOURCES
    src/plugin.vala
    src/register_plugin.vala
    src/trust_level.vala

    src/file_transfer/file_decryptor.vala
    src/file_transfer/file_encryptor.vala
    src/jingle/jingle_helper.vala
    src/jingle/jet_omemo.vala

    src/logic/database.vala
    src/logic/encrypt_state.vala
    src/logic/manager.vala
    src/logic/pre_key_store.vala
    src/logic/session_store.vala
    src/logic/signed_pre_key_store.vala
    src/logic/trust_manager.vala

    src/protocol/bundle.vala
    src/protocol/message_flag.vala
    src/protocol/stream_module.vala

    src/ui/account_settings_entry.vala
    src/ui/account_settings_widget.vala
    src/ui/bad_messages_populator.vala
    src/ui/contact_details_provider.vala
    src/ui/contact_details_dialog.vala
    src/ui/device_notification_populator.vala
    src/ui/own_notifications.vala
    src/ui/encryption_list_entry.vala
    src/ui/manage_key_dialog.vala
    src/ui/util.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/crypto-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/signal-protocol.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
PACKAGES
    ${OMEMO_PACKAGES}
GRESOURCES
    ${OMEMO_GRESOURCES_XML}
OPTIONS
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
)

add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\"  -DG_LOG_DOMAIN="OMEMO")
add_library(omemo SHARED ${OMEMO_VALA_C} ${OMEMO_GRESOURCES_TARGET})
add_dependencies(omemo ${GETTEXT_PACKAGE}-translations)
target_link_libraries(omemo libdino signal-protocol-vala crypto-vala ${OMEMO_PACKAGES})
set_target_properties(omemo PROPERTIES PREFIX "")
set_target_properties(omemo PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS omemo ${PLUGIN_INSTALL})

## dino 0.2.8

=== debian/changelog ===
dino (0.2.8-3) unstable; urgency=low

  * Drop LASH support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 02:14:34 +0100

dino (0.2.8-2) unstable; urgency=low

  * Disable -Werror to avoid build failures with GCC4.6.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Jun 2011 13:00:07 +0200

dino (0.2.8-1) unstable; urgency=low

  * Initial release. (Closes: #629584)

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 Jun 2011 23:05:51 +0200

=== debian/control ===
Source: dino
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 libglademm-2.4-dev,
 libgtkmm-2.4-dev,
 libjack-dev,
 libxml++2.6-dev
Standards-Version: 3.9.2
Homepage: http://dino.nongnu.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/dino.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dino.git

Package: dino
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Description: Integrated MIDI piano roll editor and sequencer engine
 Dino is a pattern-based sequencer which allows users to write
 small patterns of MIDI events and repeat and arrange them to
 create a whole song. Each track has its own patterns, so it
 is possible for example to play the same drum pattern over
 and over again while different lead synth patterns and basslines
 are playing.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/dino/dino-([\d.]+)\.tar\.gz
